package com.ruoyi.system.mapper.colums;

import com.ruoyi.system.domain.columns.YjHealthy;

import java.util.List;

/**
 * 健康饮食Mapper接口
 * 
 * @author ruoyi
 * @date 2025-10-29
 */
public interface YjHealthyMapper 
{
    /**
     * 查询健康饮食
     * 
     * @param id 健康饮食主键
     * @return 健康饮食
     */
    public YjHealthy selectYjHealthyById(String id);

    /**
     * 查询健康饮食列表
     * 
     * @param yjHealthy 健康饮食
     * @return 健康饮食集合
     */
    public List<YjHealthy> selectYjHealthyList(YjHealthy yjHealthy);

    /**
     * 新增健康饮食
     * 
     * @param yjHealthy 健康饮食
     * @return 结果
     */
    public int insertYjHealthy(YjHealthy yjHealthy);

    /**
     * 修改健康饮食
     * 
     * @param yjHealthy 健康饮食
     * @return 结果
     */
    public int updateYjHealthy(YjHealthy yjHealthy);

    /**
     * 删除健康饮食
     * 
     * @param id 健康饮食主键
     * @return 结果
     */
    public int deleteYjHealthyById(String id);

    /**
     * 批量删除健康饮食
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteYjHealthyByIds(String[] ids);
}
